Package org.apache.sling.event.impl.jobs.config

# Class TopologyHandler.QueueItem

java.lang.Object
org.apache.sling.event.impl.jobs.config.TopologyHandler.QueueItem

Enclosing class:
  `TopologyHandler`

public static final class TopologyHandler.QueueItem extends Object
We need a holder class to be able to put something into the queue to stop it.

## Field Summary

Fields
Modifier and Type
Field
Description
`org.apache.sling.discovery.TopologyEvent`
`event`

## Constructor Summary

Constructors
Constructor
Description
`QueueItem()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### event

public org.apache.sling.discovery.TopologyEvent event

## Constructor Details

### QueueItem

public QueueItem()